<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gui/Container.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_48c1f94cd2ae07e13fa9a9f16a1d541c.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Container.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Container_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;SFML/Graphics.hpp&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &quot;<a class="code" href="Box_8hpp.html">Box.hpp</a>&quot;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &quot;<a class="code" href="SceneNode_8hpp.html">SceneNode.hpp</a>&quot;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1RoundedShape.html">   11</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1RoundedShape.html">RoundedShape</a> : <span class="keyword">public</span> sf::Shape</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="classgg_1_1RoundedShape.html#ac2dcd5d2ba7674e04031e97743234a6e">   14</a></span>    <a class="code hl_function" href="classgg_1_1RoundedShape.html#ac2dcd5d2ba7674e04031e97743234a6e">RoundedShape</a>(</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keyword">const</span> sf::Vector2f &amp;size = sf::Vector2f(100, 100),</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordtype">float</span> radius = 0,</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        std::size_t pointCount = 100);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1RoundedShape.html#a8fa9b9f63f46c072e941f0340494715d">   18</a></span>    <a class="code hl_function" href="classgg_1_1RoundedShape.html#a8fa9b9f63f46c072e941f0340494715d">~RoundedShape</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1RoundedShape.html#a715e0fb006af9f0fe9f482374a85089b">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1RoundedShape.html#a715e0fb006af9f0fe9f482374a85089b">SetSize</a>(<span class="keyword">const</span> sf::Vector2f &amp;);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1RoundedShape.html#a73a10e084775142935a0744d69b5b09f">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1RoundedShape.html#a73a10e084775142935a0744d69b5b09f">SetRadius</a>(<span class="keywordtype">float</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="classgg_1_1RoundedShape.html#a82fd5d33abe092c391cb0e56b24b2500">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1RoundedShape.html#a82fd5d33abe092c391cb0e56b24b2500">SetPointCount</a>(std::size_t);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="classgg_1_1RoundedShape.html#a395b81f1e646ca3c0994610f59fef338">   25</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1RoundedShape.html#a395b81f1e646ca3c0994610f59fef338">getPointCount</a>() const -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">size_t</span> override;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="classgg_1_1RoundedShape.html#ad7af7e34311d7f6e76a9d4a97b03aa66">   26</a></span>    auto <a class="code hl_function" href="classgg_1_1RoundedShape.html#ad7af7e34311d7f6e76a9d4a97b03aa66">getPoint</a>(<a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">size_t</span> index) const -&gt; sf::Vector2f override;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>  private:</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    sf::Vector2f mSize;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="keywordtype">float</span> mRadius;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">size_t</span> mPointCount;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>};</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html">   34</a></span>class <a class="code hl_class" href="classgg_1_1Container.html">Container</a> : public <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>{</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#aad029655cfe40dd72ff0ed3c9017785e">   37</a></span>    <a class="code hl_function" href="classgg_1_1Container.html#aad029655cfe40dd72ff0ed3c9017785e">Container</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> &amp;);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#a4355a439bc08e6858baa2b6ad3fde86b">   38</a></span>    <a class="code hl_function" href="classgg_1_1Container.html#a4355a439bc08e6858baa2b6ad3fde86b">~Container</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#a1adac6ba46ae9206706d7b85064783fb">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Container.html#a1adac6ba46ae9206706d7b85064783fb">SetMargins</a>(<a class="code hl_struct" href="structgg_1_1Margins.html">Margins</a>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#a36cf198d1081a0d3d1399421988052df">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Container.html#a36cf198d1081a0d3d1399421988052df">SetColor</a>(sf::Color);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#a896a47b4a8836491b66ade3e1bdc4b8c">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Container.html#a896a47b4a8836491b66ade3e1bdc4b8c">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) <span class="keyword">const override</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#a3228de9b550b915ec44fd46c246b2163">   46</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Container.html#a3228de9b550b915ec44fd46c246b2163">UpdateSize</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#adf049763ac94a4f1a4b480fe98f0a5f1">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Container.html#adf049763ac94a4f1a4b480fe98f0a5f1">UpdateAlignment</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#a2fa9e99bd6883451f30750e30bf48aca">   48</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Container.html#a2fa9e99bd6883451f30750e30bf48aca">ApplyDesign</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="classgg_1_1Container.html#aeb90b02e75ebdb69771e124579ffa5fc">   49</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Container.html#aeb90b02e75ebdb69771e124579ffa5fc">ApplyStyle</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="keywordtype">bool</span> mRelative;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <a class="code hl_struct" href="structgg_1_1Margins.html">Margins</a> mMargins;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_class" href="classgg_1_1RoundedShape.html">RoundedShape</a> mShape;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>};</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aBox_8hpp_html"><div class="ttname"><a href="Box_8hpp.html">Box.hpp</a></div></div>
<div class="ttc" id="aSceneNode_8hpp_html"><div class="ttname"><a href="SceneNode_8hpp.html">SceneNode.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Attributes_html"><div class="ttname"><a href="classgg_1_1Attributes.html">gg::Attributes</a></div><div class="ttdef"><b>Definition:</b> Attributes.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1Container_html"><div class="ttname"><a href="classgg_1_1Container.html">gg::Container</a></div><div class="ttdef"><b>Definition:</b> Container.hpp:35</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_a1adac6ba46ae9206706d7b85064783fb"><div class="ttname"><a href="classgg_1_1Container.html#a1adac6ba46ae9206706d7b85064783fb">gg::Container::SetMargins</a></div><div class="ttdeci">void SetMargins(Margins)</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_a2fa9e99bd6883451f30750e30bf48aca"><div class="ttname"><a href="classgg_1_1Container.html#a2fa9e99bd6883451f30750e30bf48aca">gg::Container::ApplyDesign</a></div><div class="ttdeci">void ApplyDesign() override</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_a3228de9b550b915ec44fd46c246b2163"><div class="ttname"><a href="classgg_1_1Container.html#a3228de9b550b915ec44fd46c246b2163">gg::Container::UpdateSize</a></div><div class="ttdeci">void UpdateSize() override</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_a36cf198d1081a0d3d1399421988052df"><div class="ttname"><a href="classgg_1_1Container.html#a36cf198d1081a0d3d1399421988052df">gg::Container::SetColor</a></div><div class="ttdeci">void SetColor(sf::Color)</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_a4355a439bc08e6858baa2b6ad3fde86b"><div class="ttname"><a href="classgg_1_1Container.html#a4355a439bc08e6858baa2b6ad3fde86b">gg::Container::~Container</a></div><div class="ttdeci">~Container() override=default</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_a896a47b4a8836491b66ade3e1bdc4b8c"><div class="ttname"><a href="classgg_1_1Container.html#a896a47b4a8836491b66ade3e1bdc4b8c">gg::Container::draw</a></div><div class="ttdeci">void draw(sf::RenderTarget &amp;target, sf::RenderStates states) const override</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_aad029655cfe40dd72ff0ed3c9017785e"><div class="ttname"><a href="classgg_1_1Container.html#aad029655cfe40dd72ff0ed3c9017785e">gg::Container::Container</a></div><div class="ttdeci">Container(const Attributes &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_adf049763ac94a4f1a4b480fe98f0a5f1"><div class="ttname"><a href="classgg_1_1Container.html#adf049763ac94a4f1a4b480fe98f0a5f1">gg::Container::UpdateAlignment</a></div><div class="ttdeci">void UpdateAlignment() override</div></div>
<div class="ttc" id="aclassgg_1_1Container_html_aeb90b02e75ebdb69771e124579ffa5fc"><div class="ttname"><a href="classgg_1_1Container.html#aeb90b02e75ebdb69771e124579ffa5fc">gg::Container::ApplyStyle</a></div><div class="ttdeci">void ApplyStyle() override</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html"><div class="ttname"><a href="classgg_1_1RoundedShape.html">gg::RoundedShape</a></div><div class="ttdef"><b>Definition:</b> Container.hpp:12</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html_a395b81f1e646ca3c0994610f59fef338"><div class="ttname"><a href="classgg_1_1RoundedShape.html#a395b81f1e646ca3c0994610f59fef338">gg::RoundedShape::getPointCount</a></div><div class="ttdeci">auto getPointCount() const -&gt; std::size_t override</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html_a715e0fb006af9f0fe9f482374a85089b"><div class="ttname"><a href="classgg_1_1RoundedShape.html#a715e0fb006af9f0fe9f482374a85089b">gg::RoundedShape::SetSize</a></div><div class="ttdeci">void SetSize(const sf::Vector2f &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html_a73a10e084775142935a0744d69b5b09f"><div class="ttname"><a href="classgg_1_1RoundedShape.html#a73a10e084775142935a0744d69b5b09f">gg::RoundedShape::SetRadius</a></div><div class="ttdeci">void SetRadius(float)</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html_a82fd5d33abe092c391cb0e56b24b2500"><div class="ttname"><a href="classgg_1_1RoundedShape.html#a82fd5d33abe092c391cb0e56b24b2500">gg::RoundedShape::SetPointCount</a></div><div class="ttdeci">void SetPointCount(std::size_t)</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html_a8fa9b9f63f46c072e941f0340494715d"><div class="ttname"><a href="classgg_1_1RoundedShape.html#a8fa9b9f63f46c072e941f0340494715d">gg::RoundedShape::~RoundedShape</a></div><div class="ttdeci">~RoundedShape() override=default</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html_ac2dcd5d2ba7674e04031e97743234a6e"><div class="ttname"><a href="classgg_1_1RoundedShape.html#ac2dcd5d2ba7674e04031e97743234a6e">gg::RoundedShape::RoundedShape</a></div><div class="ttdeci">RoundedShape(const sf::Vector2f &amp;size=sf::Vector2f(100, 100), float radius=0, std::size_t pointCount=100)</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html_ad7af7e34311d7f6e76a9d4a97b03aa66"><div class="ttname"><a href="classgg_1_1RoundedShape.html#ad7af7e34311d7f6e76a9d4a97b03aa66">gg::RoundedShape::getPoint</a></div><div class="ttdeci">auto getPoint(std::size_t index) const -&gt; sf::Vector2f override</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html"><div class="ttname"><a href="classgg_1_1SceneNode.html">gg::SceneNode</a></div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:18</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:84</div></div>
<div class="ttc" id="astructgg_1_1Margins_html"><div class="ttname"><a href="structgg_1_1Margins.html">gg::Margins</a></div><div class="ttdef"><b>Definition:</b> Box.hpp:14</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
